import request from '../../utils/request'
/**
 * 获取预约课管理统计
 */
export function GetAppointmentPlanStat(data) {
    return request({
        url: '/TeacherClass/GetAppointmentPlanStat',
        method: 'post',
        data
    })
}
/**
 * 获取约课配置
 */
export function GetAppointmentConfig(data) {
    return request({
        url: '/Scroll/GetAppointmentConfig',
        method: 'post',
        data
    })
}
/**
 * 获取老师的空闲上课时段
 */
export function GetCanTeacherClassTimeList(data) {
    return request({
        url: '/Scroll/GetCanTeacherClassTimeList',
        method: 'post',
        data
    })
}
/**
 * 获取可预约的学生列表
 */
export function GetCanAppointmentStuList(data) {
    return request({
        url: '/Scroll/GetCanAppointmentStuList',
        method: 'post',
        data
    })
}
/**
 * 获取预约学生的详情
 */
export function GetStuAppointmentInfo(data) {
    return request({
        url: '/Scroll/GetStuAppointmentInfo',
        method: 'post',
        data
    })
}
/**
 * 后台约课
 */
export function SetAdminScrollAppointment(data) {
    return request({
        url: '/Scroll/SetAdminScrollAppointment',
        method: 'post',
        data
    })
}
/**
 * 后台取消预约
 */
export function CancelAppointment(data) {
    return request({
        url: '/Scroll/CancelAppointment',
        method: 'post',
        data
    })
}
/**
 * 后台确认约课
 */
export function SetSureAppointment(data) {
    return request({
        url: '/Scroll/SetSureAppointment',
        method: 'post',
        data
    })
}
/**
 * 学生合并
 */
export function SetAppointmentStuTransfer(data) {
    return request({
        url: '/Scroll/SetAppointmentStuTransfer',
        method: 'post',
        data
    })
}
/**
 * 获取可重上课的学生列表
 */
export function getCanAppointmentAgainList(data) {
    return request({
        url: '/Scroll/GetCanAppointmentAgainList',
        method: 'post',
        data
    })
}
/**
 * 学员重上课
 */
export function setAppointmentAgain(data) {
    return request({
        url: '/Scroll/SetAppointmentAgain',
        method: 'post',
        data
    })
}
/**
 * 获取可补课学生列表
 */
export function getCanMakeupStuList(data) {
    return request({
        url: '/Scroll/GetCanMakeupStuList',
        method: 'post',
        data
    })
}
/**
 * 学员补课
 */
export function setAppointmentMakeup(data) {
    return request({
        url: '/Scroll/SetAppointmentMakeup',
        method: 'post',
        data
    })
}